Get webhook delivery logs for your business. Crypto payout events use the crypto.payout.* type values. Required scope: webhook:read.
Authorization
oauth2ClientCredentials webhook:readUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: webhook:read
Query Parameters
datedateValue in
- "SUCCESSFUL"
- "FAILED"
The webhook event type.
1 <= value <= 3015Response Body
application/json
curl --request GET \ --url 'https://example.com/api/external/webhook-logs'{ "current_page": 1, "data": [ { "id": "log-id", "business_id": "business-id", "business_transaction_id": null, "business_crypto_wallet_transaction_id": "crypto-transaction-id", "type": "crypto.payout.successful", "webhook_url": "https://example.com/webhooks/payout", "payload": { "event": "crypto.payout.successful" }, "response": { "status": 200 }, "status": "SUCCESSFUL" } ], "per_page": 15, "total": 1}PUTUpdate webhook URL
Update your registered webhook URLs. Your collection_url receives collection events, virtual account events, and customer KYC events. Your optional kyc_url receives Signa verification session events; omit the field to leave it unchanged, or send null to clear it. Required scope: `webhook:write`.
GETGet a webhook log
Get one webhook delivery log. The response includes the related crypto transaction when the log is for a crypto payout. Required scope: `webhook:read`.